Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.suggest.fst
Class FSTCompletion.Completion

    java.lang.Object
      org.apache.lucene.search.suggest.fst.FSTCompletion.Completion

All Implemented Interfaces:
  Comparable<FSTCompletion.Completion>

Enclosing class:
  FSTCompletion

    public static final class FSTCompletion.Completion

extends Object
implements Comparable<FSTCompletion.Completion>

A single completion for a given key.

Field Summary
`int` | `bucket`
`org.apache.lucene.util.BytesRef` | `utf8`

Method Summary
`int` | `compareTo(FSTCompletion.Completion o)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### utf8

    public final org.apache.lucene.util.BytesRef utf8

### bucket

    public final int bucket

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(FSTCompletion.Completion o)

  Specified by:
    `compareTo` in interface `Comparable<FSTCompletion.Completion>`
  See Also:
    `BytesRef.compareTo(BytesRef)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD